Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Skypeforlinux (RPM) is broken

  1. #1
    Join Date
    Jun 2008
    Location
    West Yorkshire, UK
    Posts
    3,474

    Default Skypeforlinux (RPM) is broken

    The RPM download for Skypeforlinux is broken:
    Error: INVALID:skypeforlinux-8.13.0.2-1.x86_64 (file-7b329a59): Signature verification failed [4-Signatures public key is not available] Header V4 RSA/SHA1 Signature, key ID df7587c3: NOKEY
    Header SHA1 digest: OK (f39a8d01e8103d4d1195b35aef1ef8dd075091b9)
    V4 RSA/SHA1 Signature, key ID df7587c3: NOKEY
    MD5 digest: OK (7b0e0ab027970292f202d35ecf30a160)
    I reported this on the Skype website.

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,146

    Default AW: Skypeforlinux (RPM) is broken

    Its not broken, you do not have the key so zypper can not confirm it.

    Try to ignore it.

  3. #3
    Join Date
    Jun 2008
    Location
    West Yorkshire, UK
    Posts
    3,474

    Default Re: Skypeforlinux (RPM) is broken

    I was not using zypper but YaST. YaST has installed the previous version and this version on another computer without any problems.

  4. #4
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,146

    Default AW: Skypeforlinux (RPM) is broken

    Yast and zypper are using both libzypp.

  5. #5
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Skypeforlinux (RPM) is broken

    there is nothing really to report that's not an error but a warning as you don't have their public pgp sign key
    after initial install the skype rpm will add the skype repo which I do believe provides that key as I've had updates and had no missing key warnings
    Code:
    zypper ar -f https://repo.skype.com/rpm/stable/skype-stable.repo
    select yes when asked weather or not to trust the key
    then just pull skype with zypper (or yast)
    Code:
    zypper in skypeforlinux
    or import the key
    Code:
    rpm --import https://repo.skype.com/data/SKYPE-GPG-KEY
    and then install it how ever you want to

  6. #6
    Join Date
    Jun 2008
    Location
    West Yorkshire, UK
    Posts
    3,474

    Default Re: Skypeforlinux (RPM) is broken

    Thanks. I am seeing the newbie tomorrow. So that is good timing. I was going to try and get the information off another newbie’s computer where it had installed fine (I don’t use it).

  7. #7
    Join Date
    Jun 2008
    Location
    West Yorkshire, UK
    Posts
    3,474

    Default Re: Skypeforlinux (RPM) is broken

    Worked fine using zypper as described above.

  8. #8

    Default Re: Skypeforlinux (RPM) is broken

    Sorry, but since the last upgrade -- I have received this certificate error using for the NVIDIA and Skype repo's ..

    Removing the repo and importing the certificate key did not resolve the problem (only the NVIDIA started to work).

    The repo for skype always returns the cert. error. Ignoring it does not help

    Gee - every upgrade the same -- more problems and hours to fix em ...
    and I am not mentioning here the reoccuring crashes and problems using NVIDIA

    # Comment: Sorry guys, but other distros do well better

  9. #9
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,146

    Default AW: Skypeforlinux (RPM) is broken

    # Comment: Sorry guys, but other distros do well better
    skype is not an official openSUSE package, its build by Microsoft......
    Also the Repo is not hosted by openSUSE.

    Also Nvidia......

    You have installed Leap?
    And upgraded from which Leap version to which new Version?

    Which error?
    Last edited by Sauerland; 24-Feb-2018 at 03:29.

  10. #10

    Default Re: AW: Skypeforlinux (RPM) is broken

    42.3 has been running fine (NVIDIA and Skype) .. did an upgrade yesterday and both errors occured.

    I am unable to fix skype using the described method.

    Skype Repo :

    Download (curl) error for 'https://repo.skype.com/rpm/stable/repodata/repomd.xml
    Error Code 60
    Error Message: SSL certificate problem: unable to get local issuer certificate

    Ignoring does not work. Removing the repo and trying via cmd line neither.

    Since the repo has not changed -- (may be the certificate), the new ceritificate should be found ...
    When importing via cmd line I receive no error. But the repo throws the same error.



    Quote Originally Posted by Sauerland View Post
    skype is not an official openSUSE package, its build by Microsoft......
    Also the Repo is not hosted by openSUSE.

    Also Nvidia......

    You have installed Leap?
    And upgraded from which Leap version to which new Version?

    Which error?

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •